Package org.apache.sysds.runtime.controlprogram.federated

# Class FederatedRange

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.FederatedRange

All Implemented Interfaces:
  `Comparable<FederatedRange>`

public class FederatedRange extends Object implements Comparable<FederatedRange>

## Constructor Summary

Constructors
Constructor
Description
`FederatedRange(long[] beginDims, long[] endDims)`
Create a range with the indexes of each dimension between their respective `beginDims` and `endDims` values.
`FederatedRange(FederatedRange other)`
Does a deep copy of another `FederatedRange` object.
`FederatedRange(FederatedRange other, long clen)`

## Method Summary

Modifier and Type
Method
Description
`IndexRange`
`asIndexRange()`
`int`
`compareTo(FederatedRange o)`
`boolean`
`equals(Object o)`
`long[]`
`getBeginDims()`
`int[]`
`getBeginDimsInt()`
`long[]`
`getEndDims()`
`int[]`
`getEndDimsInt()`
`long`
`getSize()`
`long`
`getSize(int dim)`
`int`
`hashCode()`
`void`
`setBeginDim(int dim, long value)`
`void`
`setEndDim(int dim, long value)`
`FederatedRange`
`shift(long rshift, long cshift)`
`String`
`toString()`
`FederatedRange`
`transpose()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FederatedRange

public FederatedRange(long[] beginDims, long[] endDims)
Create a range with the indexes of each dimension between their respective `beginDims` and `endDims` values.

Parameters:
  `beginDims` - the beginning indexes for each dimension
  `endDims` - the ending indexes for each dimension

### FederatedRange

public FederatedRange(FederatedRange other)
Does a deep copy of another `FederatedRange` object.

Parameters:
  `other` - the `FederatedRange` to copy

### FederatedRange

public FederatedRange(FederatedRange other, long clen)

## Method Details

### setBeginDim

public void setBeginDim(int dim, long value)

### setEndDim

public void setEndDim(int dim, long value)

### getBeginDims

public long[] getBeginDims()

### getEndDims

public long[] getEndDims()

### getBeginDimsInt

public int[] getBeginDimsInt()

### getEndDimsInt

public int[] getEndDimsInt()

### getSize

public long getSize()

### getSize

public long getSize(int dim)

### compareTo

public int compareTo(FederatedRange o)

Specified by:
  `compareTo` in interface `Comparable<FederatedRange>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### shift

public FederatedRange shift(long rshift, long cshift)

### transpose

public FederatedRange transpose()

### asIndexRange

public IndexRange asIndexRange()